stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Options.BuildParser

Synopsis

- buildOptsParser :: BuildCommand -> Parser BuildOptsCLI
- targetsParser :: Parser [Text]
- flagsParser :: Parser (Map (Maybe PackageName) (Map FlagName Bool))

# Documentation

buildOptsParser :: BuildCommand -> Parser BuildOptsCLI #

Parser for CLI-only build arguments

targetsParser :: Parser [Text] #

flagsParser :: Parser (Map (Maybe PackageName) (Map FlagName Bool)) #